<?php get_header(); ?>
<div class="vcard author-bio">
  <?php
    $curauth = (isset($_GET['author_name'])) ? get_user_by('slug', $author_name) : get_userdata(intval($author));
    echo get_avatar( get_the_author_meta( 'ID' ), 104 );
  ?>
  <h2><?php echo __( 'About', 'affyb' ) . ' ' . $curauth->nickname; ?></h2>
  <dl>
  <dd class="fn label descr-author"><?php echo $curauth->user_description; ?></dd>
    <dt>
      <span class="url fn author-url">
        <?php 
          if (!empty(get_the_author_meta('url')))  {?>
            <a href="<?php echo the_author_meta('url'); ?>" target="_blank"><?php echo the_author_meta('url'); ?></a>
          <?php  }
        ?>
      </span>
    </dt>
    <dd class="fn author author-url author-social">
      <?php if ( get_the_author_meta( 'facebook' ) ) { ?>
        <a href="https://facebook.com/<?php the_author_meta( 'facebook' ); ?>" title="Follow <?php the_author_meta( 'display_name' ); ?> on Facebook" target="_blank"><span class="icon"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/social-icons/facebook.png"></span></a>
      <?php } ?>
      <?php if ( get_the_author_meta( 'twitter' ) ) { ?>
          <a href="https://twitter.com/<?php the_author_meta( 'twitter' ); ?>" title="Follow <?php the_author_meta( 'display_name' ); ?> on Twitter"target="_blank"><span class="icon"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/social-icons/twitter.png"></span></a>
      <?php } ?>
      <?php if ( get_the_author_meta( 'googleplus' ) ) { ?>
        <a href="https://plus.google.com/<?php the_author_meta( 'googleplus' ); ?>" title="Follow <?php the_author_meta( 'display_name' ); ?> on Google plus"target="_blank"><span class="icon"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/social-icons/google-plus.png"></span></a>
      <?php } ?>
      <?php if ( get_the_author_meta( 'linkedin' ) ) { ?>
        <a href="https://www.linkedin.com/<?php the_author_meta( 'linkedin' ); ?>" title="Follow <?php the_author_meta( 'display_name' ); ?> on Linkedin"target="_blank"><span class="icon"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/social-icons/linkedin.png"></span></a>
      <?php } ?>
      <?php if ( get_the_author_meta( 'instagram' ) ) { ?>
        <a href="https://www.instagram.com/<?php the_author_meta( 'instagram' ); ?>" title="Follow <?php the_author_meta( 'display_name' ); ?> on Instagram"target="_blank"><span class="icon"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/social-icons/instagram.png"></span></a>
      <?php } ?>
    </dd>
  </dl>
  <h2 class="fn author postsby"><?php echo __( 'Posts by', 'affyb' ) . ' ' . $curauth->nickname; ?></h2>
  <ul>
    <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
      <li>
        <a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>">
          <?php the_title(); ?>
        </a>&nbsp;
        <?php the_time(get_option( 'date_format' )); ?><?php echo ' ' . __( 'in', 'affyb' ) . ' '; ?><?php the_category(' and ');?>
      </li>
    <?php endwhile; else: ?>
      <h4><?php __('No posts by this author.', 'affyb'); ?></h4>
    <?php endif; ?>
  </ul>
  <h2><?php echo __( 'List of authors', 'affyb' ); ?></h2>
  <ul>
    <?php wp_list_authors(); ?>
  </ul>
</div>
<?php get_footer(); ?>