<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
  <head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <?php 
      if ( is_singular() ) wp_enqueue_script( 'comment-reply' );
      wp_head();
    ?>
  </head>
  <body <?php body_class(); ?>>
    <a id="skip-main" class="screen-reader-text" href="#main" accesskey="m"><?php echo __( 'Skip to main content', 'affyb' );?></a>
    <?php if ( get_header_image() ) : ?>
      <header id="site-header" class="site-header header-image">
        <div id="header-image">
          <img id="the-header-image" src="<?php header_image(); ?>" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
        </div>
        <div class="box">
          <?php 
            load_template( get_template_directory() . '/template-parts/header/site-branding.php', true  );
            load_template( get_template_directory() . '/template-parts/header/header-social-navigation.php', true  );
          ?>
        </div>
      </header>
      <div class="sticky-top">
        <div class="box">
          <div class="sticky-top-flex">
            <?php 
              load_template( get_template_directory() . '/template-parts/navigation/navigation-main.php', true  );
              load_template( get_template_directory() . '/template-parts/header/header-button.php', true  );
            ?>
          </div>
        </div>
        <?php load_template( get_template_directory() . '/template-parts/header/header-searchform.php', true  ); ?>
      </div>
    <?php else : ?>
      <header id="site-header" class="site-header no-header-image">
        <div class="box">
          <?php 
            load_template( get_template_directory() . '/template-parts/header/site-branding.php', true  );
            load_template( get_template_directory() . '/template-parts/header/header-social-navigation.php', true  );
          ?>
        </div>
      </header>
      <div class="sticky-top">
        <div class="box">
          <div class="sticky-top-flex">
            <?php
              load_template( get_template_directory() . '/template-parts/navigation/navigation-main.php', true  );
              load_template( get_template_directory() . '/template-parts/header/header-button.php', true  );
            ?>
          </div>
        </div>
        <?php load_template( get_template_directory() . '/template-parts/header/header-searchform.php', true  ); ?>
      </div>
    <?php endif; ?>
    <div class="box">
      <main id="main" class="main">
      <?php if ( is_active_sidebar('sidebar')) {?>
        <div id="content" class="content sidebar-active">
      <?php } else { ?>
        <div id="content" class="content sidebar-noactive">
      <?php } ?>