<?php

  function affyb_load_custom_wp_admin_style() {
    wp_register_style( 'custom_wp_admin_css', get_stylesheet_directory_uri() . '/assets/css/other/affyb-options.css', false, '1.0.0' );
    wp_enqueue_style( 'custom_wp_admin_css' );
  }
  add_action( 'admin_enqueue_scripts', 'affyb_load_custom_wp_admin_style' );

  function affyb_settings_page() { ?>
    <div class="wrap">
      <div class="wrap-option">
        <form method="post" action="options.php">
          <?php
            settings_fields('section');
            do_settings_sections('affyb-options');      
            submit_button(); 
          ?>          
        </form>
      </div>
    </div>
  <?php }

  function add_affyb_menu_item() {
    add_theme_page('affyb settings', __('affyb theme settings','affyb'), 'manage_options', 'affyb-settings', 'affyb_settings_page', null, 99);
  }
  add_action('admin_menu', 'add_affyb_menu_item');

  function set_twitter_element() { ?>
    <input type="text" name="twitter_url" id="twitter_url" value="<?php echo get_option('twitter_url'); ?>" />
  <?php }
  
  function set_facebook_element() { ?>
    <input type="text" name="facebook_url" id="facebook_url" value="<?php echo get_option('facebook_url'); ?>" />
  <?php }
  
  function set_googleplus_element() { ?>
    <input type="text" name="googleplus_url" id="googleplus_url" value="<?php echo get_option('googleplus_url'); ?>" />
  <?php }

  function set_instagram_element() { ?>
    <input type="text" name="instagram_url" id="instagram_url" value="<?php echo get_option('instagram_url'); ?>" />
  <?php }

  function set_netiquette() { ?>
    <textarea rows="15" cols="80" name="netiquette" id="netiquette" value="<?php echo get_option('netiquette'); ?>"><?php echo get_option('netiquette'); ?></textarea>
  <?php }
    
  function set_excerpt_lenght() { ?>
    <input type="number" min="0" max="250" name="excerpt_lenght" id="excerpt_lenght" value="<?php echo get_option('excerpt_lenght'); ?>" />
  <?php }

  function display_affyb_panel_fields() {
    add_settings_section('section', '<h1 class="setting-panel-title">affyb ' . __('settings panel','affyb') . '</h1>', null, 'affyb-options');
    add_settings_field('facebook_url', __('Facebook username','affyb'), 'set_facebook_element', 'affyb-options', 'section');
    add_settings_field('twitter_url', __('Twitter username','affyb'), 'set_twitter_element', 'affyb-options', 'section');
    add_settings_field('googleplus_url', __('Google plus username','affyb'), 'set_googleplus_element', 'affyb-options', 'section');
    add_settings_field('instagram_url', __('Instagram username','affyb'), 'set_instagram_element', 'affyb-options', 'section');
    add_settings_field('netiquette', __('Netiquette message','affyb'), 'set_netiquette', 'affyb-options', 'section');
    add_settings_field('excerpt_lenght', __('Excerpt lenght - max 250, default 80','affyb'), 'set_excerpt_lenght', 'affyb-options', 'section');
    register_setting('section', 'facebook_url');
    register_setting('section', 'twitter_url');
    register_setting('section', 'googleplus_url');
    register_setting('section', 'instagram_url');
    register_setting('section', 'netiquette');
    register_setting('section', 'excerpt_lenght');
  }
  add_action('admin_init', 'display_affyb_panel_fields');

  function display_facebook_URL() {
    if ( get_option( 'facebook_url' ) ) {
      echo '<a class="facebook_url" href="https://facebook.com/' . get_option('facebook_url') . '" target="_blank"><span class="screen-reader-text">' . get_option('facebook_url') . '</span><span class="icon"><img src="' . get_template_directory_uri() . '/assets/images/social-icons/facebook.png"></a>';
    }
  }

  function display_twitter_URL() {
    if ( get_option( 'twitter_url' ) ) {
      echo '<a class="twitter_url" href="https://twitter.com/' . get_option('twitter_url') . '" target="_blank"><span class="screen-reader-text">' . get_option('twitter_url') . '</span><span class="icon"><img src="' . get_template_directory_uri() . '/assets/images/social-icons/twitter.png"></span></a>';
    }
  }

  function display_googleplus_URL() {
    if ( get_option( 'googleplus_url' ) ) {
      echo '<a class="googleplus_url" href="https://plus.google.com/' . get_option('googleplus_url') . '" target="_blank"><span class="screen-reader-text">' . get_option('googleplus_url') . '</span><span class="icon"><img src="' . get_template_directory_uri() . '/assets/images/social-icons/google-plus.png"></span></a>';
    }
  }

  function display_instagram_URL() {
    if ( get_option( 'instagram_url' ) ) {
      echo '<a class="instagram_url" href="https://www.instagram.com/' . get_option('instagram_url') . '" target="_blank"><span class="screen-reader-text">' . get_option('instagram_url') . '</span><span class="icon"><img src="' . get_template_directory_uri() . '/assets/images/social-icons/instagram.png"></span></a>';
    }
  }

  function display_netiquette() {
    if ( get_option( 'netiquette' ) ) {
      echo '<p>' . get_option('netiquette') . '</p>';
    }
  }
  
  function affyb_show_extra_profile_fields( $user ) { ?>
    <h3><?php echo __( 'Extra profile information', 'affyb' ); ?></h3>
    <label for="facebook"><?php echo __( 'Please enter your Facebook username.', 'affyb' ); ?></label>
    <input type="text" name="facebook" id="facebook" value="<?php echo esc_attr( get_the_author_meta( 'facebook', $user->ID ) ); ?>" class="regular-text" /><br />
    <label for="twitter"><?php echo __( 'Please enter your Twitter username.', 'affyb' ); ?></label>
    <input type="text" name="twitter" id="twitter" value="<?php echo esc_attr( get_the_author_meta( 'twitter', $user->ID ) ); ?>" class="regular-text" /><br />
    <label for="googleplus"><?php echo __( 'Please enter your Google plus username.', 'affyb' ); ?></label>
    <input type="text" name="googleplus" id="googleplus" value="<?php echo esc_attr( get_the_author_meta( 'googleplus', $user->ID ) ); ?>" class="regular-text" /><br />
    <label for="linkedin"><?php echo __( 'Please enter your Linkedin username.', 'affyb' ); ?></label>
    <input type="text" name="linkedin" id="linkedin" value="<?php echo esc_attr( get_the_author_meta( 'linkedin', $user->ID ) ); ?>" class="regular-text" /><br />
    <label for="instagram"><?php echo __( 'Please enter your Instagram username.', 'affyb' ); ?></label>
    <input type="text" name="instagram" id="instagram" value="<?php echo esc_attr( get_the_author_meta( 'instagram', $user->ID ) ); ?>" class="regular-text" /><br />
  <?php }
  add_action( 'show_user_profile', 'affyb_show_extra_profile_fields' );
  add_action( 'edit_user_profile', 'affyb_show_extra_profile_fields' );
    
  function affyb_save_extra_profile_fields( $user_id ) {
    if ( !current_user_can( 'edit_user', $user_id ) )
    return false;
    update_user_meta( $user_id, 'facebook', $_POST['facebook'] );
    update_user_meta( $user_id, 'twitter', $_POST['twitter'] );
    update_user_meta( $user_id, 'googleplus', $_POST['googleplus'] );
    update_user_meta( $user_id, 'instagram', $_POST['linkedin'] );
    update_user_meta( $user_id, 'instagram', $_POST['instagram'] );

  }
  add_action( 'personal_options_update', 'affyb_save_extra_profile_fields' );
  add_action( 'edit_user_profile_update', 'affyb_save_extra_profile_fields' );

?>