<?php $unique_id = esc_attr( uniqid( 'search-form-' ) ); ?>
<form role="search" method="get" id="search-form" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
  <label for="<?php echo $unique_id; ?>">
    <span class="screen-reader-text">
      <?php echo _x( 'Write what you are looking for', 'label', 'affyb' ); ?>
    </span>
  </label>
  <input type="search" id="<?php echo $unique_id; ?>" class="search-field" placeholder="<?php echo esc_attr_x( 'Write what you are looking for', 'placeholder', 'affyb' ); ?>" value="<?php echo get_search_query(); ?>" name="s"/>
  <button type="submit" id="search-submit" class="search-submit">
    <span class="screen-reader-text">
      <?php echo _x( 'Search', 'submit button', 'affyb' ); ?>
    </span>
    <img src="<?php echo get_template_directory_uri(); ?>/assets/images/search-submit.png">
  </button>
</form>