<?php the_title( sprintf( '<h2><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
<figure class="post-figure">
  <?php 
    if ( has_post_thumbnail() ) {
      the_post_thumbnail('thumbnail');
    } 
  ?>
</figure>
<div class="post-info">
  <?php printf( _x( '%s ago', '%s = human-readable time daffybrence', 'affyb' ), human_time_diff( get_the_time( 'U' ), current_time( 'timestamp' ) ) ); ?>
  <data class="post-data" value="<?php the_time(get_option( 'date_format' )) ?><?php echo get_the_time(); ?>">
    <?php echo __( 'the day', 'affyb' ); ?>&nbsp;<a href="<?php echo get_day_link(get_post_time('Y'), get_post_time('m'), get_post_time('j'));  ?>" class="entry-date"><?php the_time('l j F, Y') ?></a>
  </data>
  <div class="post-author">
    <?php echo __( 'Write by', 'affyb' ); ?> <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>"><?php the_author(); ?></a> 
  </div>
  <?php
    if ( has_category() ) {
      $termscat = wp_get_post_terms( $post->ID , 'category', '');
      $count = count($termscat);
      if ( $count > 1 ) {
        echo '<span class="post-category">' . __( 'in the categories ', 'affyb' );
        echo the_category(' - ');
        echo '</span>';
      }
      else {
        echo '<span class="post-category">' . __( 'in the category ', 'affyb' );
        echo the_category(' ');
        echo '</span>';
      }
    }
    if ( has_tag() ) {
      $termstag = wp_get_post_terms( $post->ID , 'post_tag', '');
      $count = count($termstag);
      if ( $count > 1 ) {
        echo '<span class="post-tag">' . __( 'with tags ', 'affyb' );
        the_tags('', ' - ', '');
        echo '</span>';
      }
      else {
        echo '<span class="post-tag">' . __( 'with tags ', 'affyb' );
        the_tags('', ' - ', '');
        echo '</span>';
      }
    }
    if ( comments_open() ) :
      echo '<div class="post-comment">';
      comments_popup_link( __('Write a comment', 'affyb'),  __('1 comment', 'affyb'), __('% comments', 'affyb'));
      echo '</div>';
    endif;
  ?>
</div>   